Newsgroups: fj.wanted,fj.mail,fj.windows.x,fj.comp.comm
Path: galaxy.trc.rwcp.or.jp!sparky!uunet!sun-barr!sh.wide!wnoc-tyo-news!toumon!wsdnws!wsdnws!onono
From: onono@cfi.waseda.ac.jp (ONO Kouichi)
Subject: Re: xbiff for pop3 protocol
In-Reply-To: onono@kado.elec.waseda.ac.jp's message of 18 May 92 22:53:42 GMT
X-Nntp-Posting-Host: aqua20.cfi.waseda.ac.jp
Message-ID: <ONONO.92Jun7000118@aqua20.cfi.waseda.ac.jp>
Followup-To: fj.windows.x
Sender: news@wsdnws.waseda.ac.jp
Organization: Centre for Informatics, WASEDA University
References: <ONONO.92May19075342@hiromi.kado.elec.waseda.ac.jp>
Date: Sat, 6 Jun 1992 15:01:18 GMT
Lines: 539
Xref: galaxy.trc.rwcp.or.jp fj.wanted:4083 fj.mail:1246 fj.windows.x:2166 fj.comp.comm:826
X-originally-archived-at: http://galaxy.rwcp.or.jp/text/cgi-bin/newsarticle2?ng=fj.mail&nb=1246&hd=a
X-reformat-date: Mon, 18 Oct 2004 15:18:22 +0900
X-reformat-comment: Tabs were expanded into 4 column tabstops by the Galaxy's archiver. See http://katsu.watanabe.name/ancientfj/galaxy-format.html for more info.

$BAa0pEDBg3X$N>.Ln$G$9!#(B

In article <ONONO.92May19075342@hiromi.kado.elec.waseda.ac.jp>,
     onono@kado.elec.waseda.ac.jp (ONO Kouichi) wrote:

> pop3 protocol$B$r;H$C$F!"(Bremote host$B$N(Bmail spool$BFb$N(Bsystem
> mailbox$B$r4F;k$9$k(Bxbiff$B$NN`$O$J$$$b$N$G$7$g$&$+(B?

$B$H$$$&<ALd$r$7$?$H$3$m!"B?$/$NJ}$N(B reply/followup $B$r$$$?(B
$B$@$-$^$7$?!#(B

$B<ALd$NF05!$r=R$Y$k$H!"(B

$B!&(Bxbiff $B$HF1Ey$N5!G=$rDs6!$7$?$$(B
$B!&(Bmail spool server $B$NIi2Y$r8:$i$7$?$$(B

$B$G$7$?!#(B

$B2sEz$rJ,N`$7$F$_$^$7$?!#(B

    1. mail spool server $B>e$GD>@\(B xbiff $B$r5/$3$9(B
    2. xbiff $B$H(B msgchk(RPOP) $B$rAH$_9g$o$;$k(B
    3. rbiff $B$r;H$&(B
    4. comsat $B$HO"F0$9$k$h$&$K(B xbiff $B$r:n$jJQ$($k(B
    5. PC$B$r(Bpop client$B$K$7$F%a!<%k$NE~Ce$rJs9p$5$;$k$h$&$K(Bpopd$B$r2~B$$9$k(B

$B0J2<$K$=$l$>$l>R2p$7$^$9!#(B

1. mail spool server $B>e$GD>@\(B xbiff $B$r5/$3$9(B

$B;d$b8=:_$O$3$NJ}K!$K$7$F$$$^$9!#(B

% xon mail-server xbiff

$B$J$I$G(B client $B$,5/$-$^$9$M!#(B

In article <MANMOS.92May20100956@kgway.knowledge.co.jp>,
     manmos@knowledge.co.jp (Hideo "Sir MaNMOS" Morisita) wrote:

> $B?92<(B $B$*Be41MM(B $B#M#a#N#M#O#S!w%J%l%C%8$G$9!#(B
> 
> $B;d$O!"(B"pop3 protocol"$B$r;HMQ$O$7$F$$$^$;$s$,!"(Bremote machine$B$N(Bmail$B$N%A%'%C(B
> $B%/$K$O(B
> 
> rcmd mailhost xbiff -display local:0 &
> 
> $B$GBP1~$7$F$$$^$9!#(B

2. xbiff $B$H(B msgchk(RPOP) $B$rAH$_9g$o$;$k(B

$B$3$N2sEz$,B?$/4s$;$i$l$^$7$?!#(B

In article <MAKOTO.92May20191102@f7s1.astem.or.jp>,
     makoto@astem.or.jp (Makoto O'Okubo) wrote:

>   ASTEM $B$NBg5WJ]$H?=$7$^$9!#(B
> 
>   xbiff $B$K$D$$$F$O!"(BR4, R5 $B$H$b$K!"(B
> 
> % man  xbiff
> ...
> 
> X DEFAULTS
>      This program uses the Mailbox widget in the X  Toolkit.   It
>      understands  all  of  the core resource names and classes as
>      well as:
> 
>      checkCommand (class CheckCommand)
>        Specifies a shell command to be  executed  to  check
>        for new mail rather than examining the size of file.
>        The specified string value is used as  the  argument
>        to  a  system(3)  call and may therefore contain i/o
>        redirection.  An exit status of 0 indicates that new
>        mail  is waiting, 1 indicates that there has been no
>        change in size, and 2 indicates that  the  mail  has
>        been cleared.
> 
> $B$H$$$&$3$H$G!"$3$N(B checkCommand $B$K(B pop3 $B$G(B mail spool $B$N>uBV$r%A%'%C%/(B
> $B$9$k%W%m%0%i%`$r%;%C%H$7$F$*$1$P$$$$$O$:$J$s$G$9$,(B....xbiff $B$NJ}$K%P%0(B
> $B$,$"$k$h$&$G!"$"$^$j;W$$DL$j$KF0$$$F$/$l$^$;$s!#(B

In article <NO1KATO.92May22142641@miranda.elcom.nitech.ac.jp>,
     no1kato@miranda.elcom.nitech.ac.jp (Hiroyuki Kato) wrote:

> $B;d$O!"(B~/.Xdefaults $B$K!"(B
>   XBiff.Mailbox.checkCommand:     msgchk -nonotify all || exit 2
> $B$H$+$$$F$*$j$^$9!#$3$l$G$&$^$/F0:n$7$F$$$^$9!#(B
> $B$3$N(B msgchk $B$O!"(Bmh6.7 $B$N%3%^%s%I$G!"(Bpop3 $BBP1~$G%3%s%Q%$%k$7$F$"$l$P!"(B
> pop3$B$G(B mail spool $B$N>uBV$r%A%'%C%/$7$F$/$l$^$9!#(B

| Date: Wed, 20 May 92 12:27:56 +0900
| From: moriyama@vnet.ibm.com
| Message-Id: <199205200327.AA48002@ns.trl.ibm.com>
| 
| $B$3$s$K$A$O!"F|K\(B IBM $B$N?9;3$H?=$7$^$9!#(B
| 
| $B;d$O0J2<$N$h$&$K$7$F;H$C$F$$$^$7$?!#(B
| 
| xbiff -update 60 -xrm "*checkCommand: msgchk -nonotify all" \
|          -xrm "*onceOnly: true"
| 
| $B$b$A$m$s(B RPOP $B$K$7$F$*$+$J$$$H$J$$$H$@$a$G$9$1$I!#(B
| 
| $B0lJ,$K0l%W%m%;%9$r%U%)!<%/$9$k$3$H$K$J$k$N$G!"%f!<%6$,A}$($k$H%5!<%P(B
| $B$NIi2Y$,A}$($F5$$K$J$j$^$9!#$=$3$G!":G6a$O(B POP $B%5!<%P>e$G(B xbiff $B$rF0(B
| $B$+$7$F;H$C$F$^$9!#(B

| Message-Id: <9205210039.AA19498@nkai.cow.melco.co.jp>
| Date: Thu, 21 May 92 09:41:22 +0900
| From: Takashi Yamamoto <tyama@nkai.cow.melco.co.jp>
| 
| $B$O$8$a$^$7$F!";3K\!w;0I)EE5!$H$b$&$7$^$9!#(B
| 
| xbiff$B$O%a!<%k%A%'%C%/%3%^%s%I$N%9%F!<%?%9$r8+$F%a!<%k$,$"$k$+$I$&$+$r(B
| $BH=CG$7$F$$$k$h$&$J$N$G!"(Bmh$B$N%3%^%s%I$,(Bpop$BBP1~$K$J$C$F$$$l$PLdBj$J$/%j(B
| $B%b!<%H%[%9%H$N%a!<%k%\%C%/%9$r4F;k$G$-$k$h$&$G$9!#(B
| 
| $B6qBNE*$K$O!"%j%=!<%9$K(B
| XBiff*CheckCommand: /usr/local/bin/mh/msgchk -nonotify all -date
| 
| $B$r=q$$$F$"$j!"$3$N(Bmsgchk$B$,(Bpop$B$KBP1~$7$F$$$l$P!"$A$c$s$H(Bxbiff$B$OF0$-$^$9!#(B
| 
| $B!t0JA0!"(Bpds$B$G$J$,$l$?(Bxbiff$B7OE}$N$b$N$NCf$K$O(B/usr/spool/mail$B$N%5%$%:JQ2=(B
| $B!t$r<+J,$G8+$K9T$/;EMM$N$b$N$b$"$j$^$7$?!#$3$&$$$&;EMM$K$J$C$F$$$k$b$N(B
| $B!t$O%=!<%9$r=q$-49$($J$$$HL5M}$_$?$$$G$9!#(B

$B;d$O$:$C$H(B 1. $B$NJ}K!$r;H$C$F$-$?$s$G$9$,!"$=$l$h$j$b(B 2. 
$B$N$h$&$K(B pop client $B$r;H$C$?J}$,(B mail spool server $B$KIi(B
$BC4$r$+$1$J$$$N$G$O!"$H;W$C$?$N$,$=$b$=$b<ALd$7$?F05!$K$J$C(B
$B$F$$$^$7$?!#$7$+$7!"(B

| Date: Mon, 25 May 92 11:59:52 +0900
| From: moriyama@vnet.ibm.com
| Message-Id: <199205250259.AA25939@ns.trl.ibm.com>
| 
| IBM $B$N?9;3$G$9!#(B
| 
| $B>.Ln(B> $B>o$K(B xbiff $B$N%W%m%;%9$,$$$k$N$H!"(Bupdate time $BKh$K(B pop server $B$K(B
| $B>.Ln(B> $B%3%M%/%H$9$k%/%i%$%"%s%H$,5/F0$9$k$H$N$rHf$Y$k$H!"8e<T$NJ}$,(B($BIi(B
| $B>.Ln(B> $B2YJ,;6$7$F$$$k$7(B)pop server $B$NIi2Y$r7Z$/$7$F$$$k$h$&$J5$$,$9$k$N(B
| $B>.Ln(B> $B$G$9$,!"$I$&$G$7$g$&$+!#(B
| 
| $B$$$($$$(!"8e<T$N>l9g!"%/%i%$%"%s%H$,%3%M%/%H$7$F$/$k$H(B popd $B$OI,$:(B
| fork() $B$7$F;R%W%m%;%9$NJ}$,=hM}$r9T$J$$$^$9$+$iI8=`$G$O(B 60/<$B%f!<%6(B
| $B?t(B>$BIC(B $B$K0l2s(B fork() + POP $B$NDL?.(B $B$,5/$-$F$7$^$$$^$9!#(B
| 
| $B$=$l$K$R$-$+$(A0<T(B($B%5!<%P>e$K(B xbiff) $B$N>l9g!"(B60/<$B%f!<%6?t(B> $BIC$K0l2s(B
| $B%W%m%;%9$,(B sleep()/wakeup() + X $B$NIA2h!J%a%$%k$,Mh$J$1$l$P2?$b$7$J$$!)(B
| $B!K$@$1$G$G:Q$_$^$9!#(B
| 
| $B$I$A$i$,7W;;5!$KBP$7$FIi2Y$K$J$k$+$O!"7W;;5!;q8;$K$h$C$F0[$J$C$F$/$k(B
| $B$H;W$$$^$9$,!";d$N$H$3$m$G$O%a%$%k%5!<%P$,(B BIND/YP/POP/<internal
| news> $B$N%5!<%P$r7s$M$F$$$k$3$H!"%a%b%j$,Hf3SE*B?$+$C$?$3$H!"$+$i;~4V(B
| $BE*Ii2Y$h$j$b6u4VE*Ii2Y$NJ}$,!V0B$$!W$HH=CG$7$?$o$1$G$9!#(B

$B$H$N8f0U8+$r$$$?$@$$$F!"$J$k$[$I$H;W$$$^$7$?!#(B

$B$=$NB>$K!"(Bmsgchk $B$H(B xbiff $B$NAH$_9g$o$;$K$D$$$F$NLdBj$,;X(B
$BE&$5$l$^$7$?!#(Bxbiff $B$N;EMM$H$7$F(B

NAME
     xbiff - mailbox flag for X

DESCRIPTION
     The xbiff program displays a  little  image  of  a  mailbox.
     When  there  is  no  mail,  the flag on the mailbox is down.
     When mail arrives, the flag goes up and the  mailbox  beeps.
     By  default,  pressing  any mouse button in the image forces
     xbiff to remember the current size of the mail file as being
     the ``empty'' size and to lower the flag.

X DEFAULTS
     The application class name is XBiff. This program  uses  the
     Mailbox widget in the Athena widget set.  It understands all
     of the core resource names and classes as well as:

     checkCommand (class CheckCommand)
             Specifies a shell command to be  executed  to  check
             for new mail rather than examining the size of file.
             The specified string value is used as  the  argument
             to  a  system(3)  call and may therefore contain i/o
             redirection. An exit status of 0 indicates that  new
             mail  is waiting, 1 indicates that there has been no
             change in size, and 2 indicates that  the  mail  has
             been  cleared.  By default, no shell command is pro-
             vided.

$B$H$"$j!"$7$?$,$C$F!"(Bxbiff $B$N(B default $B$NF0:n$HEy$7$/$9$k(B
$B$?$a$K$O!"(BcheckCommand $B$G5/F0$9$k(B pop client $B$N=*N;(B
status$B$,(B

0 : $B?7$7$$%a!<%k$,FO$$$?(B
1 : mail spool file $B$N%5%$%:$KJQ2=$,$J$$(B
2 : mail spool file $B$,6u$K$J$C$F$$$k(B

$B$H$$$&;EMM$G$"$kI,MW$,$"$j$^$9!#(B

$B0lJ}!"(Bmsgchk $B$N;EMM$O!"(B

NAME
     msgchk - check for messages

DESCRIPTION

     The `-notify type' switch indicates under what circumstances
     msgchk   should   produce   a   message.   The   default  is
     `-notify all' which says that msgchk  should  always  report
     the  status  of  the users maildrop. Other values for `type'
     include `mail' which says  that  msgchk  should  report  the
     status of waiting mail; and, `nomail' which says that msgchk
     should  report  the   status   of   empty   maildrops.   The
     `-nonotify type'   switch   has   the   inverted  sense,  so
     `-nonotify all' directs msgchk to never report the status of
     maildrops.  This  is  useful  if  the  user  wishes to check
     msgchk's exit status. A non-zero exit status indicates  that
     mail  was  not  waiting  for  at  least one of the indicated
     users.

$B$H$J$C$F$$$k$?$a!"(Bmsgchk -nonotify all $B$N=*N;(Bstatus$B$O(B

0 : mail spool file $B$,6u$G$O$J$$(B
1 : mail spool file $B$,6u(B

$B$H$J$j$^$9!#(Bxbiff $B$H(B msgchk $B$N;EMM$N0c$$$O$A$g$C$H4r$7$/(B
$B$J$$7k2L$r0z$-5/$3$7$^$9!#(B

$B0l$D$O!"(Bxbiff $B$N(B update time($B%/%i%9(B Interval)$B$4$H$K(B 
msgchk $B$9$k$?$a!"%a!<%k%9%W!<%k$K%a%C%;!<%8$,;D$C$F$$$k(B
$B$H$$$D$^$G$b(B beep $B$7B3$1$k!"$H$$$&E@$G$9!#(B

$B$b$&0l$D$O!"(Bmsgchk $B$N=*N;(Bstatus $B$,(B1$B$N>l9g!"(Bxbiff$B$K$H$C$F(B
$B$O(B mail spool $B$K%a%C%;!<%8$,;D$C$F$$$k$H2r<a$5$l$F$7$^$&(B
$B$?$a!"(Bxbiff $B$NH?E>$,2r>C$5$l$J$$$H!"$$$&E@$G$9!#$b$A$m$s(B
xbiff $B$r%/%j%C%/$7$F$"$2$l$P$$$$$o$1$G$9$,!"!V(Bxbiff $B$N(B 
default $B$N;EMMDL$j$KF0$/$h$&$K$7$?$$!W$H$$$&MW5a$+$i$O30(B
$B$l$k$3$H$K$J$j$^$9!#!#(B

$B$3$l$i$NIT6q9g$r@09g$5$;$k$?$a$K!"Bg5WJ]$5$s$HKRB<$5$s$+(B
$B$i2r7h0F$,Ds<($5$l$^$7$?!#(B

In article <MAKOTO.92May23200128@f7s1.astem.or.jp>,
     makoto@astem.or.jp (Makoto O'Okubo) wrote:

>   $B4JC1$J$N$O(B msgchk $B%3%^%s%I$,(B mail spool $B$K(B mail $B$,$"$k>l9g$K$O!"(Bmail
> spool $B$N(B size $B$rI=<($7$F$/$l$^$9$+$i!"Kh2s$N(B check $B$N;~$K$=$NCM$r$I$3(B
> $B$+$N(B file $B$K=q$$$F$*$$$F!"$=$N(B file $B$r8+$FA02s$N(B size $B$H8=:_$N(B size $B$r(B
> $BHf3S$9$k$3$H$K$h$C$F!"(B
> 
>      An exit status of 0 indicates that new
>        mail is waiting, 1 indicates that there has been no
>        change in size, and 2 indicates that  the  mail  has
>        been cleared.
> 
> $B$K=>$C$?(B exit status $B$r7W;;$9$k$H$$$&J}K!$G$7$g$&!#!J$=$N(B file $B$,%+%9(B
> $B$H$7$F!";D$k2DG=@-$,$"$k$N$,$A$g$C$HNI$/$J$$$G$9$,!#!K(B

In article <MACKY.92May25062658@uiro.agusa.nuee.nagoya-u.ac.jp>,
     macky@agusa.nuee.nagoya-u.ac.jp (Ken Makimura) wrote:

> $BKRB<!wL>8E20Bg3X$G$9!#(B
> 
> $B$\$/$b:G=i$O(B msgchk $B%3%^%s%I$@$1$G=PMh$J$$$+$H;W$C$?$N$G$9$,!"(B
> $B7k6I!"0J2<$N(B Shell Script $B$r;H$C$F$^$9!#(B
> 
> ------------------------------------------------
> #!/bin/sh -
> #
> #  Mail Check with POP for xbiff
> #
> #Original by Prof.Agusa
> #Modified by K.Makimura
> #
> PATH=/usr/local/bin/mh:/usr/ucb:/usr/bin:/bin
> CHECK_FILE=$HOME/.xbiff_save
> 
> set `msgchk -notify all` NONE
> if [ "$2" != "have" ]; then
>   echo "0(0" >$CHECK_FILE
>   exit 2
> fi
> if [ -s $CHECK_FILE ]; then
>   if [ "$3$5" = `cat $CHECK_FILE` ]; then
>   exit 1
>   fi
> fi
> echo "$3$5" >$CHECK_FILE
> exit 0
> ------------------------------------------------
> 
> # msgchk $B%3%^%s%I$N%a%C%;!<%8$K0MB8$7$F$7$^$&$N$,FqE@$G$9(B

$BKRB<$5$s$NDs<($5$l$?J}K!$O!"(Bmsgchk $B$,=P$9(B

You have 1 message (260 bytes) on mail-server

$B$H$$$C$?%a%C%;!<%8$r4JC1$K(Bparse$B$7$FA02s$K(Bmsgchk$B$r<B9T$7(B
$B$?;~$N(B spool file size $B$HHf3S$9$k$3$H$G!"(B

0 : $B?7$7$$%a!<%k$,FO$$$?(B
1 : mail spool file $B$N%5%$%:$KJQ2=$,$J$$(B
2 : mail spool file $B$,6u$K$J$C$F$$$k(B

$B$H$$$&;EMM$rK~$?$9$h$&$K$7$h$&$H$$$&$b$N$G$9!#KRB<$5$s<+(B
$B?H$,$*$C$7$c$C$F$$$k$h$&$K!"(Bmsgchk $B$,=P$9%a%C%;!<%8$N7A(B
$B<0$K0MB8$7$F$$$k$N$,FqE@$G$9!#(B

$B$^$?!"(Bxbiff $B$N(B checkCommand $B$K(B msgchk $B$r;H$&$H(B pop
server $B$KIi2Y$r$+$1$k$N$G$O$J$$$+!"$H$$$&;XE&$,$"$j$^$7(B
$B$?!#(B

In article <MAKOTO.92May20191102@f7s1.astem.or.jp>,
     makoto@astem.or.jp (Makoto O'Okubo) wrote:

>   $B$G$=$N$&$AD4$Y$h$&$H;W$C$F$$$?$N$G$9$,!":G6a!"(B
> 
>   $B!V(Bxbiff $B$,(B 60sec.$BKh(B(default)$B$K(B pop server $B$K@\B3$K$9$k%3%^%s%I$r5/F0(B
> $B$9$k$H$$$&$N$O!"(Bpop server $B$NIi2Y$,$A$g$C$H$J$!!#!W(B
> 
> $B$H$+$$$&$3$H$K$J$C$F!"B>$N<j$r9M$($h$&$+$H8@$&OC$K$J$C$F$$$^$9!#(B

In article <NO1KATO.92May22142641@miranda.elcom.nitech.ac.jp>,
     no1kato@miranda.elcom.nitech.ac.jp (Hiroyuki Kato) wrote:

>    >  $B!V(Bxbiff $B$,(B 60sec.$BKh(B(default)$B$K(B pop server $B$K@\B3$K$9$k%3%^%s%I$r5/F0(B
>    >$B$9$k$H$$$&$N$O!"(Bpop server $B$NIi2Y$,$A$g$C$H$J$!!#!W(B
> 
> $B$3$l$KBP$7$F$O!"(B
>   XBiff*Mailbox.update:   300
> $B$N$h$&$K$7$F!"%A%'%C%/4V3V$rD9$/$7$?$i$I$&$G$7$g$&$+!)(B

In article <TAZAWA.92May22234118@beppu.aix.yamato.ibm.com>,
     tazawa@ymtl01.yamato.ibm.co.jp (Tazawa Takashi) wrote:

>   $B$H$$$&Lu$G!"(BR5$B$N(Bxbiff$B$KE,Ev$J(BPOP3$B$N(Bclient$B$rAH9g$o$;$l$P<B8=(B
> $B2DG=$G$9!#LdBj$O(BPOP3$B$N(Bclient$B$G!"(BPOP$B$C$F$N$O0l2s0l2s(Bconnect$B$7$F$O(B
> $B@Z$l$k$N$GA02s$H:#2s$N(Bspool$B$N>uBV$NHf3S$r$9$k$N$,$A$HLLE]$G$9$h$M!#(B
> $B;d$O7k9=1x$/$d$C$A$c$$$^$7$?$1$I!#(BPOP$B$K$3$@$o$i$:$K(BIMAP$B$r;H$($P(B
> $B=PMh$k$s$8$c$J$$$+$H;W$C$F$$$?$j$7$^$9!#(B
> 
> >   $B$G$=$N$&$AD4$Y$h$&$H;W$C$F$$$?$N$G$9$,!":G6a!"(B
> >   $B!V(Bxbiff $B$,(B 60sec.$BKh(B(default)$B$K(B pop server $B$K@\B3$K$9$k%3%^%s%I$r5/F0(B
> > $B$9$k$H$$$&$N$O!"(Bpop server $B$NIi2Y$,$A$g$C$H$J$!!#!W(B
> > $B$H$+$$$&$3$H$K$J$C$F!"B>$N<j$r9M$($h$&$+$H8@$&OC$K$J$C$F$$$^$9!#(B
> 
>   $B$3$l$O3N$+$K$=$NDL$j$@$H;W$$$^$9!#L>8E209)6HBg3X$N2CF#$5$s$,(B
> $B=R$Y$F$*$i$l$k$h$&$JJ}K!$b$"$j$^$9$,!"B??M?t$G;H$C$F$$$k=j(B
> $B$@$H(B5$BJ,4V3V$/$i$$$G$b$=$3$=$3$NIi2Y$K$J$k$G$7$g$&$M!#(B10$BJ,$H$+(B20$BJ,(B
> $B4V3V$@$H(Bbiff$B$C$F$$$&46$8$,$7$J$$$7!D!#(B

$B3N$+$K!"(BInterval $B$rD9$/$7$F$*$1$P(B pop server $B$NJ?6QE*$J(B
$BIi2Y$O2<$,$k$3$H$K$J$j$^$9$,!"$=$l$G$O(B xbiff $B$NMxJX@-$r(B
$B$=$0$3$H$K$J$k$H;W$$$^$9!#$"$^$jD9$$(B Interval $B$K$9$k$J$i!"(B
$B<+J,$N<j$N6u$$$?;~$K(B msgchk $B$r<B9T$9$l$P==J,$G$9$+$i$M!#(B

$B$"$H!"(BIMAP $B$H$$$&$N$rEDBt$5$s$+$iDs0F$5$l$^$9$,!"$3$l$O(B
$B2?$G$7$g$&$+!#(B

3. rbiff $B$r;H$&(B

$B%K%e!<%9$G$OOCBj$K$J$C$F$$$^$;$s$,!"(Brbiff $B$H$$$&$b$N$,$"(B
$B$k$H!"J":j$5$s$+$i65$($F$$$?$@$-$^$7$?!#(B

| Message-Id: <9205230204.AA25135@adam.tsl.cl.nec.co.jp>
| Date: Sat, 23 May 92 11:02:48 +0900
| From: Hidenobu Harasaki <harasaki@tsl.cl.nec.co.jp>
| 
| $B$^$?!"(Bpop3 protocol$B$G$O$"$j$^$;$s$,!"F1$85!G=$,F@$i$l$k(B
| $B$b$N$H$7$F!"(Brbiff$B$,$"$j$^$9!#$3$l$b;H$C$F$$$^$9!#(B
| 
| rbiff$B$N(BREADME$B$rIU$1$^$9!#(B
| 
| $BF|K\EE5$!J3t!K#C!u#C%7%9%F%`8&5f=j!!!!86:j=(?.(B
| harasaki@TSL.CL.nec.co.jp
| 
| ------------------------------------------------------------------------
| This is a replacement for the standard BSD "biff" and "comsat"
| programs, which notify users when new mail arrives.  The old programs
| were very limited; they would only notify a user if mail arrived in his
| mailbox on the local host.  This version allows monitoring of other
| users' mailboxes, even on remote hosts.
| 
| To install the programs, become root and do a make install.  That
| will install the manual pages, /usr/ucb/biff, and /usr/etc/comsat.
| You will need to edit /etc/services and /etc/servers (or /etc/inetd.conf,
| on some systems).  Add a TCP biff service to /etc/services:
| 
| rbiff522/tcp
| 
| and in servers or inetd.conf, comment out the line that causes
| inetd to run comsat.  In /etc/servers it looks like
| 
| comsat  udp     /usr/etc/in.comsat
| 
| and in inetd.conf,
| 
| comsatdgramudpwaitroot/usr/etc/in.comsatin.comsat
| 
| Add an entry to /etc/rc.local so that comsat starts at boot time:
| 
| if [ -f /usr/etc/comsat ]; then
| /usr/etc/comsat;(echo -n ' comsat')>/dev/console
| fi
| 
| You can remove /usr/etc/in.comsat if desired; it will no longer be
| called.  Restart inetd (on some systems, sending it a HUP signal will
| cause it to reload its database) and run /usr/etc/comsat.  You're
| all set!
| 
| If you're installing this on your system, drop me a line.  I'm interested
| to know how widely this catches on.  I'm not opposed to replacing biff
| with this for the next version of BSD (or SunOS), but I'd like to be
| told about it first.  Send me any suggestions or bug reports, too.
| Enjoy!
| 
| ---
| These are my opinions, which you can probably ignore if you want to.
| Steven GrimmModerator, comp.{sources,binaries}.atari.st

| Message-Id: <9205231526.AA12370@hiromi.kado.elec.waseda.ac.jp>
| Date: Sun, 24 May 92 00:26:13 +0900
| From: ONO Kouichi <onono>
| 
| $B$3$l$r;n$7$F$_$h$&$H;W$$$^$7$?$,!"(Barchie $B$GC5$98B$j8+Ev$?$i$J$+$C(B
| $B$?$N$G!"$h$1$l$P(B anonymous FTP $B$G8x3+$5$l$F$$$k=j:_$r$465<($$$?(B
| $B$@$1$k$H4r$7$$$N$G$9$,!#(B

| Message-Id: <9205250151.AA05427@adam.tsl.cl.nec.co.jp>
| Date: Mon, 25 May 92 10:51:12 +0900
| From: Hidenobu Harasaki <harasaki@tsl.cl.nec.co.jp>
| 
| comp.sources.unix$B$+(Balt.sources$B$H$+$KN.$l$?$b$N$@$H;W$$$^$9!#(B
| $B$3$A$i$K$O!"(Bshar$B7A<0$O$"$j$^$7$?$,!"$=$N%X%C%@ItJ,$,7gG!$7$F$$$?$N$G!"(B
| $B=PE5$,J,$+$j$^$;$s!#(B

rbiff $B$O;n$7$F$$$J$$$N$G(B($B8+$D$+$i$J$$(B)$B$I$s$J$b$N$+$OH=$j(B
$B$^$;$s!#(BREADME $B$r8+$k8B$j(B comsat $B$bF~$l49$($F$7$^$&$h$&(B
$B$G$9$M!#(B

4. comsat $B$HO"F0$9$k$h$&$K(B xbiff $B$r:n$jJQ$($k(B

In article <MAKOTO.92May20191102@f7s1.astem.or.jp>,
     makoto@astem.or.jp (Makoto O'Okubo) wrote:

>   ASTEM $B$NBg5WJ]$H?=$7$^$9!#(B
> 
>   $BK\Ev$O!"(Bmail $B$N<B:]$NE~Ce$r%H%j%,$K$7$FF0$$$F$/$l$k$H4r$7$$$N$G!"(B
> comsat $B$H$+$HO"F0$9$k$h$&$J(B xbiff $B$,$"$k$H$$$$$s$G$9$1$I$M!#!J(Bempty $B$N(B
> $BI=<($K$9$kJ}$N%H%j%,$O!":#$N(B comsat $B$N$^$^$G$OL5M}$G$9$,!#!K(B
> 
>   $BC/$+$=$&$$$&$N$rCN$j$^$;$s$+!)(B

In article <TAZAWA.92May22234118@beppu.aix.yamato.ibm.com>,
     tazawa@ymtl01.yamato.ibm.co.jp (Tazawa Takashi) wrote:

>   $BF|K\#I#B#M$NED_7$G$9!#(B
> 
>   $BDL>o$N(Bbiff+comsat$B$HF1MM$J$b$N$G$"$l$P!"#1G/H>$/$i$$A0$K(Bfj.sources
> $B$K(Bpost$B$5$l$F$?$h$&$J5$$,$7$^$9$,!#$"$l$r$&$^$/2~B$=PMh$l$P:n$k$N$O(B
> $B2DG=$G$7$g$&!#(B
> 
> >   $BK\Ev$O!"(Bmail $B$N<B:]$NE~Ce$r%H%j%,$K$7$FF0$$$F$/$l$k$H4r$7$$$N$G!"(B
> > comsat $B$H$+$HO"F0$9$k$h$&$J(B xbiff $B$,$"$k$H$$$$$s$G$9$1$I$M!#!J(Bempty $B$N(B
> > $BI=<($K$9$kJ}$N%H%j%,$O!":#$N(B comsat $B$N$^$^$G$OL5M}$G$9$,!#!K(B
> >   $BC/$+$=$&$$$&$N$rCN$j$^$;$s$+!)(B
> 
>   $BA0=R$N(Bbiff+comsat$B$O$*;}$A$G$7$g$&$+!#3X@8$N:"$K;n$7$?$N$G$b$&(B
> $B$"$s$^$j:Y$+$$;v$O3P$($F$$$J$$$N$G$9$,!"$^$@(Bcheck$B$J$5$C$F$$$J$$(B
> $B$N$J$i>/$7D/$a$F$_$F$O!#(B

$B$H$$$&$3$H$G$9$,!"$3$N(Bbiff+comsat$B$b8+Ev$?$i$J$$$N$G;n$;(B
$B$^$;$s!#$b$7$+$9$k$H(Brbiff$B$HF1$8$b$N$G$7$g$&$+!#(B

5. PC$B$r(Bpop client$B$K$7$F%a!<%k$NE~Ce$rJs9p$5$;$k$h$&$K(Bpopd$B$r2~B$$9$k(B

$B:#2s$N<ALd$HD>@\4X78$J$$$s$G$9$,!"0J2<$N$h$&$J2sEz$b$$$?(B
$B$@$$$F$*$j$^$9!#(B

| From: Sin'Ichiro Miyatani <shini-m@ascii.co.jp>
| Message-Id: <9205190239.AA09176@rdguru.ascii.co.jp>
| Date: Tue, 19 May 92 11:39:41 JST
| 
|   xbiff$B$NBe$o$j$G$O$J$$$N$G$9$,$3$A$i$G$=$l$K6a$$$3$H$r(B
| $B$d$C$F$$$k$N$G;29M$K$J$k$+$H;W$$%a%$%k$7$^$9!#(B
| 
| $B$3$A$i$O!"%Q%=%3%s$r%a%$%s$K;H$C$F$$$k%f!<%6$,$[$H$s$I$N4D6-(B
| $B$G$9!#H`$i$O!"%a%$%k$H%K%e!<%90J30$K$O(BUNIX$B$r$[$H$s$I;H$$$^$;(B
| $B$s!#H`$i$O!"%a%$%k$,Mh$F$$$k$+$I$&$+8+$k$?$a$@$1$N$?$a$K(BUNIX
| $B$K%m%0%$%s$9$k$N$O!"LLE]$@$H$$$$$^$9!#(B
| 
| $B$=$3$G(Bpop3$B$r;H$C$F%Q%=%3%s$+$i%a%$%k$,Mh$F$$$k$+$I$&$+$rD4$Y(B
| $B$k%W%m%0%i%`$r:n$k$3$H$K$7$^$7$?!#$,!"LdBj$,=P$^$7$?!#%*%j%8(B
| $B%J%k$N(Bpopd$B$G$O!"%f!<%6L>$H%Q%9%o!<%I$NN>J}$r<u$1$H$C$F%A%'%C(B
| $B%/$7$J$$8B$j%a%$%k$,Mh$F$$$k$+$I$&$+$r65$($F$/$l$^$;$s!#(B
| $B$3$N$?$a!"%a%$%k$,Mh$F$$$k$+$I$&$+$rD4$Y$k$@$1$N$?$a$N%W%m%0(B
| $B%i%`$rF0$+$9;~$b%f!<%6$,%Q%9%o!<%I$rF~NO$9$k$+!"%A%'%C%/%W%m(B
| $B%0%i%`$K0z?t$H$7$FEO$5$J$/$F$O$J$j$^$;$s!#(B
| 
| $B$3$l$G$O!"C/$b;H$($J$$$N$G(Bpop3$B$N%W%m%H%3%k$r3HD%$7!"%3%^%s%I(B
| $B$r0l$DDI2C$7$^$7$?!#DI2C$7$?$N$O!"%f!<%6L>$r<u$1$H$k$H%a%$%k(B
| $B$,Mh$F$$$k$+$I$&$+$@$1$r%Q%9%o!<%I%A%'%C%/$J$7$KJV$9$b$N$G$9!#(B
| $B$3$N%W%m%H%3%k$r;H$C$?%Q%=%3%s>e$GF0$/%W%m%0%i%`$r%3%^%s%I7A(B
| $B<0$N$b$N$H!"(BTSR$B7A<0$N$b$N$HFs$D:n$C$F;HMQ$7$F$$$^$9!#(B
| 
| $B$3$N%W%m%H%3%k$N3HD%$r;H$($P!"(Bxbiff$B$N$h$&$J$b$N$r(Bpop3$B$r;H$C(B
| $B$F<B8=$G$-$k$H;W$$$^$9!#(B

$B$H$$$&$3$H$G!"0J>e$N$h$&$J$^$H$a$K$J$j$^$7$?!#;d$NEv=i$N(B
$B<ALd$K6a$$$N$O(B2.$B$G$7$?$,!"(Bmail spool server $B$NIi2Y$r2<$2(B
$B$i$l$k$+$H$$$&E@$K$D$$$F$O(B1.$B$NJ}$,$$$$$h$&$J$N$G!"7k6I:#(B
$B$^$G$HJQ$o$i$:(B mail spool server $B>e$G(B xbiff $B$r5/$3$7$F$$(B
$B$^$9!#(B

3.$B$^$?$O(B4.$B$K$D$$$F6=L#$,$"$k$N$G$9$,!"2?$+>pJs$r$*;}$A$N(B
$BJ}$O$465<($/$@$5$k$H9,$$$G$9!#(B

$B0J2<$K!"(Breply/followup $B$r2<$5$C$?J}$N%j%9%H$r$"$2$^$9!#(B
$B$I$&$b$"$j$,$H$&$4$6$$$^$7$?!#(B

reply:
$B5\C+(B $B?-0lO:$5$s(B <shini-m@ascii.co.jp>
$B?9;3(B $B9'CK$5$s(B <moriyama@vnet.ibm.com>
$B;3K\(B $B9';K$5$s(B <tyama@nkai.cow.melco.co.jp>
$B86:j(B $B=(?.$5$s(B <harasaki@TSL.CL.nec.co.jp>

Followup:
$B?92<(B $B1QIW$5$s(B <manmos@knowledge.co.jp>
<MANMOS.92May20100956@kgway.knowledge.co.jp>
$BBg5WJ](B $B@?$5$s(B <makoto@astem.or.jp>
<MAKOTO.92May20191102@f7s1.astem.or.jp>
<MAKOTO.92May23200128@f7s1.astem.or.jp>
$B2CF#(B $BGnG7$5$s(B <no1kato@miranda.elcom.nitech.ac.jp>
<NO1KATO.92May22142641@miranda.elcom.nitech.ac.jp>
$BED_7(B $B9'$5$s(B <tazawa@ymtl01.yamato.ibm.co.jp>
<TAZAWA.92May22234118@beppu.aix.yamato.ibm.com>
$BKRB<(B $B82$5$s(B <macky@agusa.nuee.nagoya-u.ac.jp>
<MACKY.92May25062658@uiro.agusa.nuee.nagoya-u.ac.jp>
--
$B>.Ln(B $B9/0l(B
onono@cfi.waseda.ac.jp
